/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package service.impl;

import domain.Invoice;
import exception.ValidationException;
import java.util.logging.Level;
import java.util.logging.Logger;
import service.ServiceInvoice;
import storage.StorageInvoice;
import storage.impl.database.StorageDatabaseInvoice;
import validator.Validator;
import validator.impl.ValidatorInvoice;

/**
 *
 * @author student1
 */
public class ServiceInvoiceImpl implements ServiceInvoice{

    private StorageInvoice storageInvoice;
    private Validator validator;

    public ServiceInvoiceImpl() {
        storageInvoice=new StorageDatabaseInvoice();
    }
    
    
    
    @Override
    public Invoice save(Invoice invoice) throws Exception {
        try {
            validator=new ValidatorInvoice();
            validator.validate(invoice);
            return storageInvoice.save(invoice);
        } catch (ValidationException ex) {
            throw ex;
        }
    }
    
}
